=== test/mpi/Makefile ===
CC=mpicc
BIN=mpi_ring mpi_multiring mpi_spawn test_mpi waitall waitany persistent mpi_ping allgather

all: $(BIN)

test: all
	./run.sh

clean:
	rm -f $(BIN)
