=== test/openmp/Makefile ===
CC=eztrace_cc cc
CXX=eztrace_cc g++
CFLAGS=-fopenmp
LDFLAGS=-fopenmp -lm

BIN=openmp_nowait_c openmp_simple openmp_cpp parallel test_lock test_nest_lock test_task

all: $(BIN)

%: %.c
	$(CC) -o $@ $^ $(CFLAGS) $(LDFLAGS)
%: %.cpp
	$(CXX) -o $@ $^ $(CFLAGS) $(LDFLAGS)

test: $(BIN)
	./run.sh
clean:
	rm -f $(BIN)
