=== debian/changelog ===
eztrace (2.0+repack-1) unstable; urgency=medium

  * src/modules/omp/pomp-lib-dummy: Restore eztrace's libpomp.
  * debian/copyright: Don't filter out pomp-lib-dummy.
  * patches/no-libpomp: Drop.
  * debian/libeztrace0.install: Add usr/lib/*/libeztpomp.so.
  * tests/control: Add build-essential, otf2-tools, clang, bc, gawk dependency.
  * tests/control: Make tests output verbose.
  * tests/control: Clean binaries between tests.
  * tests/control: Allow some stderr, skip non-installable ompt and openmpi.
  * tests/control: Enable openmp test.
  * libeztrace0.lintian-overrides: Complete overrides.
  * control: Fix libeztrace0 short description.
  * patches/git-test-mpi-path: Make mpi path configurable.
  * tests/control: Configure mpi paths.
  * patches/git-mpi-init: Fix mpi module name hardcoding.
  * tests/control: Enable mpi tests.
  * patches/git-libatomic: Fix 8-byte atomic use on some archs.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Aug 2022 17:02:45 +0200

eztrace (2.0-3) unstable; urgency=medium

  * patches/git-opari2: Fix build against opari2.
  * patches/git-arm: Fix build on some arm archs.
  * patches/git-mpi-types: Fix build with some mpi implementations.
  * patches/git-atomic: Try to fix atomic operations on mips.
  * patches/git-test-openmp: Fix openmp test.
  * rules: Enable openmp module.
  * patches/test_utils: replace with upstream's git-test-path.
  * tests/control: Add autopkgtest.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Aug 2022 13:52:13 +0200

eztrace (2.0-2) unstable; urgency=medium

  * patches/werror: Disable -Werror.
  * debian/control, rules: Enable ompt only on archs which have libomp-dev.
  * debian/control: eztrace: Add missing perl:Depends dependencies.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 22 Aug 2022 16:07:10 +0200

eztrace (2.0-1) unstable; urgency=medium

  * New upstream release
    - control: Build-dep on cmake.
    - patches/binutils-2.38.50: Merged.
    - patches/extlib: Drop, now useless.
    - patches/no-rpath: Drop, now useless.
    - patches/ptrace-arm: Drop, now useless.
    - patches/no-libpomp: Update.
    - patches/reproducibility: Update.
    - patches/static-bfd: Update.
    - patches/rename: Fix discovering Debian's otf2.
    - rules: Update to cmake.
    - control: Replace fxt-tools, libgtg-dev, liblitl-dev (>= 0.1.9~),
      litl-tools build-deps with libotf2-trace-dev, otf2-tools.
    - control: Add opari2 build-dep.
    - control: Add clang, libomp-dev build-deps.
    - rules: Add ompt build with clang.
    - patches/otf2-3: Fix build against otf2 3.0.
    - docs, eztrace.install, libeztrace-dev.install, libeztrace0.install:
      Update installed files.
    - patches/test_utils: Workaround path to test_utils.sh
    - patches/norpath: Disable rpath.
    - control: Drop libeztrace-dev dependency on liblitl-dev.
    - patches/pkg-config: Drop spurious compilation flags.
    - patches/mpi_module_name: Fix loading right mpi module during tests.
    - patches/test-ompt: Fix enabling only tests for which a module was built.
    - patches/git-input: Fix path for template files.
    - patches/git-no-install-cmake: Avoid installing cmake files.
    - libeztrace0.lintian-overrides: Ignore missing version in modules.
    - patches/git-pkgconfig: Fix pkg-config file installation path.
    - patches/git-manpage: Install manpages.
    - patches/git-functions: Fix installation of functions.pm
  * watch: Update regexp.
  * gbp.conf, copyright: Replace gbp filter with copyright Files-Excluded.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 22 Aug 2022 14:25:30 +0200

eztrace (1.1-11-3) unstable; urgency=medium

  * control: Bump Standards-Version to 4.6.0 (no change)
  * patches/binutils-2.38.50: Fix build against binutils 2.38.50.
    (Closes: Bug#1013517)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 24 Jun 2022 14:08:20 +0200
