=== debian/control ===
Source: eztrace
Section: devel
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 12),
 pkg-config,
 cmake,
 gfortran,
 libiberty-dev, binutils-dev (>= 2.29~), zlib1g-dev,
 libotf2-trace-dev, otf2-tools,
 opari2, libpomp2-dev,
 clang, libomp-dev [amd64 arm64 i386 ppc64el riscv64],
 libstarpu-dev (>= 1.3~),
 libpapi-dev [amd64 arm64 armel armhf i386 mipsel powerpc ppc64el mips64el ppc64 x32],
 libmpich-dev, mpi-default-dev, mpi-default-bin
Rules-Requires-Root: no
Build-Conflicts: libeztrace0
Standards-Version: 4.6.0
Homepage: https://eztrace.gitlab.io/eztrace/
Vcs-Git: https://salsa.debian.org/debian/eztrace.git
Vcs-Browser: https://salsa.debian.org/debian/eztrace

Package: eztrace
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, libeztrace0 (= ${binary:Version}), opari2
Description: Automatic execution trace generation for HPC - tools
 EZTrace is a tool that aims at generating automatically execution traces
 from HPC (High Performance Computing) programs. It generates execution
 trace files that can be interpreted by visualization tools such as
 ViTE. It uses LD_PRELOAD and dlsym() to intercept calls to the usual HPC
 primitives, to be observed.
 .
 This package contains the tools.

Package: libeztrace-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libeztrace0 (= ${binary:Version}), ${misc:Depends}
Description: Automatic execution trace generation for HPC - development files
 EZTrace is a tool that aims at generating automatically execution traces
 from HPC (High Performance Computing) programs. It generates execution
 trace files that can be interpreted by visualization tools such as
 ViTE. It uses LD_PRELOAD and dlsym() to intercept calls to the usual HPC
 primitives, to be observed.
 .
 This package contains the development files.

Package: libeztrace0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Automatic execution trace generation for HPC - runtime libraries
 EZTrace is a tool that aims at generating automatically execution traces
 from HPC (High Performance Computing) programs. It generates execution
 trace files that can be interpreted by visualization tools such as
 ViTE. It uses LD_PRELOAD and dlsym() to intercept calls to the usual HPC
 primitives, to be observed.
 .
 This package contains the development files.
